Subject: Re: bug#11558: 24.1.50; Image Magick related build failure on bzr revision 108365

From: Eric Schulte <[email-masked]>
Date: Sat, 26 May 2012 16:26:12 -0600

Glenn Morris <[email-masked]> writes:

> Can you build the current emacs-24 branch on that machine?

Yes.

> 
> If so, what happens if you visit leim/MISC-DIC/ziranma.cin?
>

The buffer appears to render correctly, including a number of Chinese characters.

>
> For the trunk, does it help to add
>
> --eval '(progn (setq imagemagick-types-inhibit t) (imagemagick-register-types))'
>
> to RUN_EMACS in leim/Makefile.in and rebuild from a clean state?
>

No, with the above change on trunk I still run into the same error, namely

    Loading /home/eschulte/src/emacs/lisp/image.el (source)..
    temacs: magick/exception.c:968: ThrowMagickExceptionList: Assertion `exception->signature == 0xabacadabUL' failed.
    /bin/sh: line 5: 24828 Aborted                 `/bin/pwd`/temacs --batch --load loadup bootstrap
    make[1]: *** [bootstrap-emacs] Error 1
    make[1]: Leaving directory `/home/eschulte/src/emacs/src'
    make: *** [src] Error 2

>
> If so, this is probably http://debbugs.gnu.org/11521

I hope this information helps, please let me know if there is anything
else I can do.

Best,

-- 
Eric Schulte
http://cs.unm.edu/~eschulte